/**
 * @since 1.0.0
 */
import { ApiGatewayManagementApiClient } from "@aws-sdk/client-apigatewaymanagementapi";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { ApiGatewayManagementApiClientInstanceConfig } from "./ApiGatewayManagementApiClientInstanceConfig";
/**
 * @since 1.0.0
 * @category tags
 */
export interface ApiGatewayManagementApiClientInstance {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const ApiGatewayManagementApiClientInstance: Context.Tag<ApiGatewayManagementApiClientInstance, ApiGatewayManagementApiClient>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeApiGatewayManagementApiClientInstance: Effect.Effect<ApiGatewayManagementApiClientInstanceConfig, never, ApiGatewayManagementApiClient>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const ApiGatewayManagementApiClientInstanceLayer: Layer.Layer<ApiGatewayManagementApiClientInstanceConfig, never, ApiGatewayManagementApiClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultApiGatewayManagementApiClientInstanceLayer: Layer.Layer<never, never, ApiGatewayManagementApiClientInstance>;
